Loading...
Searching...
No Matches
Dune::GridGlue::Projection< Coordinate >::EdgeIntersection Struct Reference

Intersection between two edges of a triangle. More...

`#include <dune/grid-glue/common/projection.hh>`

## Public Attributes

std::array< unsigned, 2 > | edge
| Edge numbers in image and preimage triangle.
std::array< Coordinate, 2 > | local
| Local coordinates of intersection and distance along normals.

## Detailed Description

template<typename Coordinate>
struct Dune::GridGlue::Projection< Coordinate >::EdgeIntersection

Intersection between two edges of a triangle.

See also Projection<Coordinate>::edgeIntersections()

## Member Data Documentation

## edge

template<typename Coordinate>

std::array<unsigned, 2> Dune::GridGlue::Projection< Coordinate >::EdgeIntersection::edge

Edge numbers in image and preimage triangle.

## local

template<typename Coordinate>

std::array<Coordinate, 2> Dune::GridGlue::Projection< Coordinate >::EdgeIntersection::local

Local coordinates of intersection and distance along normals.

Local coordinate of intersection point in barycentric coordinates with respect to image and preimage triangle.

The documentation for this struct was generated from the following file:

- projection.hh